package es.uv.garcosda;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import io.swagger.v3.oas.annotations.OpenAPIDefinition;
import io.swagger.v3.oas.annotations.info.Contact;
import io.swagger.v3.oas.annotations.info.Info;
import io.swagger.v3.oas.annotations.info.License;
import io.swagger.v3.oas.annotations.servers.Server;

@SpringBootApplication
@OpenAPIDefinition(
  info =@Info(
    title = "Blog API",
    version = "v1",
    contact = @Contact(
      name = "Daniel Garcia Costa", email = "daniel.garcia@uv.es", url = "garcosda.uv.es"
    ),
    license = @License(
      name = "Apache 2.0", url = "https://www.apache.org/licenses/LICENSE-2.0"
    ),
    description = "This is a simple blog application"
  ),
  servers = @Server(
    url = "${api.server.url}",
    description = "Production"
  )
)
public class DbcdsS121Application {

	public static void main(String[] args) {
		SpringApplication.run(DbcdsS121Application.class, args);
	}

}
